Package org.apache.sling.starter.testservices.exported

# Enum TestEnum

java.lang.Object
java.lang.Enum<TestEnum>
org.apache.sling.starter.testservices.exported.TestEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<TestEnum>`

public enum TestEnum extends Enum<TestEnum>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BAR`
`FOO`

## Method Summary

Modifier and Type
Method
Description
`static TestEnum`
`parse(String str)`
`static TestEnum`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TestEnum[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FOO

public static final TestEnum FOO

### BAR

public static final TestEnum BAR

## Method Details

### values

public static TestEnum[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TestEnum valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### parse

public static TestEnum parse(String str)